# Interface ICefMenuButton

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefMenuButton = interface(ICefLabelButton)`

## Description

MenuButton is a button with optional text, icon and/or menu marker that shows a menu when clicked with the left mouse button. All size and position values are in density independent pixels (DIP) unless otherwise indicated. Methods must be called on the browser process UI thread unless otherwise indicated.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_menu_button_capi.h">CEF source file: /include/capi/views/cef_menu_button_capi.h (cef_menu_button_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefView
- ICefButton
- ICefLabelButton
- ICefMenuButton

## Overview

### Methods

| `procedure ShowMenu(const menu_model: ICefMenuModel; const screen_point: TCefPoint; anchor_position: TCefMenuAnchorPosition);`
| `procedure TriggerMenu;`

## Description

### Methods

| `procedure ShowMenu(const menu_model: ICefMenuModel; const screen_point: TCefPoint; anchor_position: TCefMenuAnchorPosition);`
Show a menu with contents |menu_model|. |screen_point| specifies the menu position in screen coordinates. |anchor_position| specifies how the menu will be anchored relative to |screen_point|. This function should be called from ICefMenuButtonDelegate.OnMenuButtonPressed(). ###### Attributes GUID['{62BFE81A-7810-400B-83C6-76D1DF133710}']

| `procedure TriggerMenu;`
Show the menu for this button. Results in a call to ICefMenuButtonDelegate.OnMenuButtonPressed().

Generated by PasDoc 0.16.0-snapshot.